Error al importar el nuevo proyecto de Gradle: no se pudo encontrar la revisión de herramientas de comstackción * .0.0

Cuando reinicio Android Studio y selecciono “Nuevo proyecto …” y sigo creando un nuevo proyecto, aparece este error emergente:

Error al importar el nuevo proyecto de Gradle: no se pudo encontrar la revisión de herramientas de comstackción 17.0.0

Consulte el registro de IDE para obtener más detalles (Ayuda | Mostrar registro)

Me encantaría consultar el registro de IDE, pero ni siquiera he logrado entrar en la aplicación para hacer gran cosa. Revisé las preferencias varias veces para ver si puedo establecer una ruta para las herramientas de comstackción, pero no puedo encontrar mucho. ¿Cómo puedo solucionar esto o cómo puedo acceder a la aplicación sin abrir un proyecto para poder ver los registros al menos?

Después de pasar unas horas: reinicié el Android SDK Manager y en este momento me di cuenta de que tenía Android SDK Platform-tools (actualización) y Android SDK Build-tools (nuevas).

Después de instalarlos, finalmente pude comstackr por completo mi proyecto.

Nota: Se debe instalar la última ADT (Versión 22).

A partir de Apil 2018 , una solución realmente sencilla con Android Studio:

  1. Abra Android Studio
  2. Desde la parte superior, selecciona Herramientas -> Android -> SDK Manager
  3. En Apariencia y comportamiento-> Configuración del sistema-> SDK de Android, haga clic en Herramientas de SDK en la parte superior. A continuación, resalte Android SDK Build Tools de la lista.
  4. Marque la checkbox ” Mostrar detalles del paquete “, elija la versión de herramientas de comstackción que necesita y luego haga clic en Aplicar.

Hecho.

Busque en SDK Manager cuál es su versión más alta de Android SDK Build-tools y copie este número de versión en su archivo build.gradle proyecto, en la propiedad android/buildToolsVersion (para mí, la versión era “18.1.1”).

Espero que ayude!

Esto es lo que tuve que hacer:

  1. Instale el último administrador de Android SDK (22.0.1)
  2. Instalar Gradle (1.6)
  3. Actualiza mis variables de entorno:
    • ANDROID_HOME=C:\...\android-sdk
    • GRADLE_HOME=C:\...\gradle-1.6
  4. Actualizar / dobblecheck mi variable PATH:
    • PATH=...;%GRADLE_HOME%\bin;%ANDROID_HOME%\tools;%ANDROID_HOME%\platform-tools
  5. Inicie el Administrador de Android SDK y descargue las API de SDK necesarias

Sucede porque la revisión x de Build Tools no existe .

Hoy, la última versión es 23.0.2 (sujeta a cambios todo el tiempo).

Las buildToolsVersion que desee están incluidas en el SDK de Android, normalmente instalado en el directorio /build-tools/ .

No confunda las herramientas de SDK de Android con SDK Build Tools .


Cambie su build.gradle de buildToolsVersion a alguna versión instalada en /build-tools

 android { buildToolsVersion "23.0.2" // ... } 

Tenía instalada la API 17, pero eso no fue suficiente. Lo que realmente necesito instalar es el “Android SDK Build-Tools 17”.

Puede ubicar su “Android SDK Build-Tools X” dentro del primer elemento secundario, denominado “Herramientas”, en el “Administrador de Android SDK”.

en su perspectiva del Proyecto, busque Aplicación -> build.gradle y edite estas líneas

android { compileSdkVersion "android-N" buildToolsVersion "24.0.0 rc1"

Me gusta esto:

android { compileSdkVersion 24 buildToolsVersion "23.0.3"

Siempre que intente ejecutar un proyecto con la versión de herramienta de comstackción no presente en el estudio, se encontrará con este error.

A partir de ahora en 2017, ha sido hecho realmente simple por Android Studio.

Le preguntará sobre este tema, junto con algo como esto

Una captura de pantalla de Android Studio

Solo tiene que hacer clic en él y el sistema se descargará a la versión de comstackción necesaria para ejecutar el proyecto.

Tuve este problema recientemente, mi proyecto no incluía el archivo local.properties .

Compruebe el archivo local.properties si incluye sdk.dir con la ruta correcta a sdk

Creo que puedes descargar el último SDK de android y usarlo. Hago esto, soluciono el problema y funciono bien. aquí está el enlace: http://developer.android.com/sdk/index.html#download

Intenta ejecutar gradle en la línea de comando primero. Podría pedirte que configures y variable de entorno:

 export _JAVA_OPTIONS="-Xms256m -Xmx1024m" 

Lea más aquí: 1 , 2


Además, asegúrese de que las herramientas de comstackción de Android SDK ( adb , aapt , dx , dx.jar ) estén disponibles en PATH . Si no, puedes crear enlaces simbólicos en las ubicaciones apropiadas. Cambiaron con el lanzamiento de nuevas versiones de SDK. Aquí hay un script de shell que crea los enlaces simbólicos dentro de la carpeta $ANDROID_HOME por usted.

Básicamente dice que falta su error “Herramientas de comstackción SDK de Android” instaladas.

Esto funcionó para mí después de probar muchas soluciones:
Por alguna razón, el proceso de adb no se reinició después de instalar nuevos paquetes. Manualmente, matar adb.exe e intentar importar el proyecto en otro momento resolvió este problema para mí.

Desinstale las herramientas de Android SDK y luego vuelva a instalarlas desde Herramientas> Administrador de SDK.

Captura de pantalla de cómo desinstalar las herramientas SDK